# Compute Engine API

## Instance Methods

Returns the addresses Resource.

Returns the autoscalers Resource.

Returns the backendBuckets Resource.

Returns the backendServices Resource.

Returns the diskTypes Resource.

Returns the disks Resource.

Returns the firewalls Resource.

Returns the forwardingRules Resource.

Returns the globalAddresses Resource.

Returns the globalForwardingRules Resource.

Returns the globalOperations Resource.

Returns the healthChecks Resource.

Returns the httpHealthChecks Resource.

Returns the httpsHealthChecks Resource.

Returns the images Resource.

Returns the instanceGroupManagers Resource.

Returns the instanceGroups Resource.

Returns the instanceTemplates Resource.

Returns the instances Resource.

Returns the licenses Resource.

Returns the machineTypes Resource.

Returns the networks Resource.

Returns the projects Resource.

Returns the regionAutoscalers Resource.

Returns the regionBackendServices Resource.

Returns the regionInstanceGroupManagers Resource.

Returns the regionInstanceGroups Resource.

Returns the regionOperations Resource.

Returns the regions Resource.

Returns the routers Resource.

Returns the routes Resource.

Returns the snapshots Resource.

Returns the sslCertificates Resource.

Returns the subnetworks Resource.

Returns the targetHttpProxies Resource.

Returns the targetHttpsProxies Resource.

Returns the targetInstances Resource.

Returns the targetPools Resource.

Returns the targetSslProxies Resource.

Returns the targetVpnGateways Resource.

Returns the urlMaps Resource.

Returns the vpnTunnels Resource.

Returns the zoneOperations Resource.

Returns the zones Resource.

Create a BatchHttpRequest object based on the discovery document.

### Method Details

`new_batch_http_request()`

    Create a BatchHttpRequest object based on the discovery document.

            Args:
              callback: callable, A callback to be called for each response, of the
                form callback(id, response, exception). The first parameter is the
                request id, and the second is the deserialized response object. The
                third is an apiclient.errors.HttpError exception object if an HTTP
                error occurred while processing the request, or None if no error
                occurred.

            Returns:
              A BatchHttpRequest object based on the discovery document.